Simon Marlow simonmar at
Fri Mar 3 11:44:02 EST 2006

Following discussions a while back:

there was some concensus (although not unanimous) that Cabal's user 
interface should be a wrapper program that runs Setup.hs.  I've 
implemented a first cut at this, see the attached Cabal patch.  It 
addresses this ticket:

I'm sending it here rather than committing directly, because I imagine 
there will be some discussion about whether this is the right thing. 
I'm pretty convinced this is the right way to go: it solves the Cabal 
versioning problem, and it frees the programmer from having to write a 
boilerplate Setup.hs file.  It's a step on the way to supporting 
building of multiple packages.

Look at the patch, tell me what you think.  You'll need a completely 
up-to-date Cabal from darcs to build it.


More information about the Libraries mailing list